
public class Class474 {

   public static final int anInt5799 = 4;
   public static final int anInt5800 = 3;
   public static final int anInt5801 = 1;
   public static final int anInt5802 = 2;
   static int anInt5803;


   Class474() throws Throwable {
      throw new Error();
   }

   static final void method7937(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub19_8486.method12963((short)4329) == 1?1:0;
   }

   static final void method7938(Class508 var0, int var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 == 284759800) {
            ;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class311.method5552(var3, var4, var0, 1111959185);
   }

   static final void method7939(Class508 var0, byte var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub12_8481.method12897(141384543);
   }

   static int method7940(char var0, int var1) {
      return var0 >= 0 && var0 < Class495.anIntArray5915.length?Class495.anIntArray5915[var0]:-1;
   }

   static final void method7941(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class463_Sub26.method13464((char)var2, 1629025243)?1:0;
   }
}
